#ifndef __motor
#define __motor


// Low-level functions to control the motor
enum class MotorDirection
{
  Up = 0,
  Down = 1
};


extern void motorInit();
extern void motorStart(MotorDirection direction);
extern void motorStop();
extern bool motorIsOverCurrent();

#endif